Subject: Re: linux-next: Tree for Mar 11 (arm build failure, ASoC)

From: Guenter Roeck <[email-masked]>
Date: Wed, 11 Mar 2015 08:51:54 -0700

On Wed, Mar 11, 2015 at 04:35:58PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20150310:
> 
> New tree: drm-exynos
> 
> The sound-asoc tree still had its build failure so I used the version from
> next-20150306.
> 
> The regulator tree lost its build failure.
> 
> The tip tree gained a conflict against the usb-gadget-fixes tree.
> 
> The staging tree lost its build failure.
> 
> Non-merge commits (relative to Linus' tree): 3446
>  3448 files changed, 138744 insertions(+), 73083 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
Building arm:omap2plus_defconfig ... failed
--------------
Error log:
sound/soc/davinci/davinci-mcasp.c: In function 'davinci_mcasp_suspend':
sound/soc/davinci/davinci-mcasp.c:1062:2: error: expected ';' before 'if'

Caused by 6afda7f507 ("ASoC: davinci-mcasp: Allow complete shutdown of McASP
when not in use"). Yes, there is a missing ';' in that code.

Guenter